MINARA

Update speech settings

PUT /v1/voice/settings — Persist user-tuned speech-synthesis settings. Pass `provider=openai` or `provider=elevenlabs`; each accepts a partial pr

PUT /v1/voice/settings

Persist user-tuned speech-synthesis settings. Pass provider=openai or provider=elevenlabs; each accepts a partial provider-native object and returns the normalized result. Omitting provider updates the legacy ElevenLabs-compatible settings.

MethodPUT
Path/v1/voice/settings
AuthAuthorization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set
Categoryvoice

Request body

{ "voice": "cedar", "model": "gpt-4o-mini-tts", "speed": 1.0, "instructions": "Speak calmly." }

Response body

{ "ok": true, "provider": "openai", "settings": { "voice": "cedar", "model": "gpt-4o-mini-tts", "speed": 1.0, "instructions": "Speak calmly." } }

On this page